classification
Title: Cull more oudated distutils information
Type: enhancement Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ncoghlan Nosy List: jaraco, matrixise, miss-islington, ncoghlan, p-ganssle
Priority: normal Keywords: patch

Created on 2019-05-04 21:05 by ncoghlan, last changed 2019-09-09 14:52 by matrixise. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13092 merged ncoghlan, 2019-05-04 22:22
PR 13462 merged ncoghlan, 2019-05-21 13:53
PR 13524 merged miss-islington, 2019-05-23 14:06
PR 15700 merged hroncok, 2019-09-05 12:49
PR 15704 merged miss-islington, 2019-09-05 15:06
Messages (7)
msg341407 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2019-05-04 21:05
Prompted by #33071, I'm going to do a pass through the legacy distutils documentation deleting outdated information that is better maintained elsewhere.
msg342450 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2019-05-14 12:04
New changeset dae1229729920e3aa2be015453b7f702dff9b375 by Nick Coghlan in branch 'master':
bpo-36797: Prune more legacy distutils documentation (GH-13092)
https://github.com/python/cpython/commit/dae1229729920e3aa2be015453b7f702dff9b375
msg343048 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2019-05-21 13:55
While I do have a second PR open with some additional smaller cleanups, the first PR removed the outdated information that seemed most problematic.
msg343297 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2019-05-23 14:07
New changeset e788057a9188ff37e232729815dfda2529079420 by Nick Coghlan in branch 'master':
bpo-36797: Reduce levels of indirection in outdated distutils docs (#13462)
https://github.com/python/cpython/commit/e788057a9188ff37e232729815dfda2529079420
msg343298 - (view) Author: miss-islington (miss-islington) Date: 2019-05-23 14:19
New changeset a3488e5902f5c26e5cc289aec2518e7b5058e5d1 by Miss Islington (bot) in branch '3.7':
bpo-36797: Reduce levels of indirection in outdated distutils docs (GH-13462)
https://github.com/python/cpython/commit/a3488e5902f5c26e5cc289aec2518e7b5058e5d1
msg351203 - (view) Author: miss-islington (miss-islington) Date: 2019-09-05 15:06
New changeset 2c2b561967c1916855399f809e30ae0ba7e09ae2 by Miss Islington (bot) (Miro Hrončok) in branch 'master':
bpo-36797: Fix a dead link in  Doc/distutils/apiref (GH-15700)
https://github.com/python/cpython/commit/2c2b561967c1916855399f809e30ae0ba7e09ae2
msg351489 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-09 14:52
New changeset cabcbbe7a518d53cd7dbb915ceccf4970c2d0ea5 by Stéphane Wirtel (Miss Islington (bot)) in branch '3.8':
bpo-36797: Fix a dead link in  Doc/distutils/apiref (GH-15700) (GH-15704)
https://github.com/python/cpython/commit/cabcbbe7a518d53cd7dbb915ceccf4970c2d0ea5
History
Date User Action Args
2019-09-09 14:52:37matrixisesetnosy: + matrixise
messages: + msg351489
2019-09-05 15:06:57miss-islingtonsetpull_requests: + pull_request15358
2019-09-05 15:06:51miss-islingtonsetmessages: + msg351203
2019-09-05 12:49:02hroncoksetpull_requests: + pull_request15354
2019-05-23 14:19:45miss-islingtonsetnosy: + miss-islington
messages: + msg343298
2019-05-23 14:07:01ncoghlansetmessages: + msg343297
2019-05-23 14:06:53miss-islingtonsetpull_requests: + pull_request13439
2019-05-21 13:55:25ncoghlansetstatus: open -> closed
resolution: fixed
messages: + msg343048

stage: patch review -> resolved
2019-05-21 13:53:22ncoghlansetpull_requests: + pull_request13372
2019-05-14 12:04:44ncoghlansetmessages: + msg342450
2019-05-04 22:22:45ncoghlansetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13006
2019-05-04 22:17:23p-gansslesetnosy: + p-ganssle
2019-05-04 21:05:47ncoghlancreate